<?php 
// /HEADER SETTINGS IN CUSTOMIZER
  $lvl1ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel1', array(
    'title' => 'General Settings',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl1ParentPanel );

  $lvl2ParentPanel = new peccular_WP_Customize_Panel( $wp_customize, 'peccular_header_panel2', array(
    'title' => 'Header',
    'panel' => 'peccular_header_panel1',
    'priority' => 1,
  ));

  $wp_customize->add_panel( $lvl2ParentPanel );


  // Add example section and controls to the final (third) panel
  $wp_customize->add_section( 'peccular_section', array(
    'title' => 'Section Test',
    'panel' => 'peccular_header_panel2',
  ));

//Bottom Header
    $wp_customize->add_section( 'peccular_header_section' , array(
        'title'    => __( 'All Settings', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel2'
    ) );


    $wp_customize->add_setting('peccular_allsetting_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_allsetting_nav', array(
       'section' => 'peccular_header_section',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_show_sticky_header',
                'peccular_header_style',
                'peccular_header_width',                
                'peccular_header_sbutton_enable',
                'peccular_topheader_text',                
                'peccular_header_signinbutton_text',
                'peccular_headercartcounturl',
                'peccular_headersigninurl', 
                'peccular_headerlikebtnurl',
                'peccular_headercarturl', 
                
                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(  
                    'header_topbgColor',
                    'header_bottombgColor',
                    'header_bottombrdrColor', 
                    'header_stickybgColor',
                    'header_SiteTitleColor',
                    'header_SiteTaglineColor',                 
                    'header_maintoptextColor',
                    'header_topiconColor',
                    'header_toptextColor',
                    'header_cartbtncounterbgcolor',
                    'header_cartbtncountrtxtColor',
                    'header_cartbtnhovbgColor',
                    'header_searchbtnbgColor',
                    'header_searchlefttextColor',
                    'header_searchbtntextColor',
                    'header_searchbtniconColor',
                    'header_searchbtniconbgColor',             

            ),
         )
        ),
    )));

    $wp_customize->add_setting( 'peccular_show_sticky_header',array(
        'default' => false,
        'sanitize_callback' => 'peccular_switch_sanitization'
   ) );
   $wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_show_sticky_header',array(
        'label' => __( 'Show Sticky Header','peccular' ),
        'section' => 'peccular_header_section'
   )));


    $wp_customize->add_setting('peccular_header_style',array(
        'default' => 'On Slider',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_style',array(
        'type' => 'select',
        'label' => __('Header Style','peccular'),
        'choices' => array (
            'Above Slider' => __('Above Slider','peccular'),
            'On Slider' => __('On Slider','peccular')
        ),
        'section' => 'peccular_header_section',
    ));

     $wp_customize->add_setting('peccular_header_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_header_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_header_section',
    ));


//top header text

$wp_customize->add_setting(
    'peccular_topheader_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Spooktacular Savings Await You This Halloween' )
    )
);
$wp_customize->add_control(
    'peccular_topheader_text',
    array(
        'settings'      => 'peccular_topheader_text',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Header Top Text', 'peccular-premium' )
    )
);

//sign in

 $wp_customize->add_setting(
    'peccular_header_signinbutton_text',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Sign In' )
    )
);
$wp_customize->add_control(
    'peccular_header_signinbutton_text',
    array(
        'settings'      => 'peccular_header_signinbutton_text',
        'section'       => 'peccular_header_section',
        'type'          => 'text',
        'label'         => __( 'Sign Button Text', 'peccular-premium' )
    )
);
$wp_customize->add_setting(
    'peccular_headersigninurl', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_headersigninurl',
    array(
        'settings'      => 'peccular_headersigninurl',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Sign In Link Here', 'peccular-premium' )
    )
); 

$wp_customize->add_setting(
    'peccular_headerlikebtnurl', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_headerlikebtnurl',
    array(
        'settings'      => 'peccular_headerlikebtnurl',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Like Button Link Here', 'peccular-premium' )
    )
);  


$wp_customize->add_setting(
    'peccular_headercarturl', 
    array('default'=> 'add link here', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control(
    'peccular_headercarturl',
    array(
        'settings'      => 'peccular_headercarturl',
        'section'       => 'peccular_header_section',
        'type'          => 'url',
        'label'         => __( 'Add Cart Button Link Here', 'peccular-premium' )
    )
);   


addColorPalatOption($wp_customize, 'header_topbgColor', 'peccular_header_section', 'Top Header BG Color', '');
addColorPalatOption($wp_customize, 'header_bottombgColor', 'peccular_header_section', 'Bottom Header BG Color', '');

addColorPalatOption($wp_customize, 'header_maintoptextColor', 'peccular_header_section', 'Top Mainheader Text Color', '');

addColorPalatOption($wp_customize, 'header_stickybgColor', 'peccular_header_section', 'Sticky BG Color', '');

addColorPalatOption($wp_customize, 'header_SiteTitleColor', 'peccular_header_section', 'Site Title Color', '');
addColorPalatOption($wp_customize, 'header_SiteTaglineColor', 'peccular_header_section', 'Tagline Color', '');

addColorPalatOption($wp_customize, 'header_topiconColor', 'peccular_header_section', 'Header Top Icon Color','');
addColorPalatOption($wp_customize, 'header_toptextColor', 'peccular_header_section', 'Header Top Text Color','');

addColorPalatOption($wp_customize, 'header_cartbtncounterbgcolor', 'peccular_header_section', 'Cart Counter Color','');

addColorPalatOption($wp_customize, 'header_cartbtnhovbgColor', 'peccular_header_section', 'Icon Button Hover Color','');

addColorPalatOption($wp_customize, 'header_searchlefttextColor', 'peccular_header_section', 'Search Button Border Color','');
addColorPalatOption($wp_customize, 'header_searchbtntextColor', 'peccular_header_section', 'Search Button Text Color','');
addColorPalatOption($wp_customize, 'header_searchbtniconColor', 'peccular_header_section', 'Search Button Icon Color','');
addColorPalatOption($wp_customize, 'header_searchbtniconbgColor', 'peccular_header_section', 'Search Button Icon BG Color','');
?>