<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package peccular Premium
 */

?>
<footer class="footer-area" id="footer">
	<div class="footer-bg"></div>
	<div class="footer-overlay"></div>

<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">  

<?php if (get_theme_mod('peccular_newsletter_enable', true) == true) { ?>

	<div class="newsletter-area" id="newsletter">		
		
		<div class="newsletter-sign-box">
			<?php			

			$peccular_newsletter_page_id = get_theme_mod('peccular_newsletter_page');	
			$peccular_newsletter_maintitle = get_theme_mod('peccular_newsletter_maintitle', 'KEEP YOUR INBOX SPOOKY! SIGN UP NOW!');
			
			?>
			<div class="row row-eq-height md-1">
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-xs-12 pd-0 <?php echo esc_attr(get_theme_mod('peccular_newsletter_box_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s">
				<?php if($peccular_newsletter_maintitle){ ?>
					<div class="peccular-section-head">
						<h2><?php echo ($peccular_newsletter_maintitle);  ?></h2>							
					</div>
				<?php }?>
			</div>
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12 col-xs-12 pd-0">
				<?php
				$peccular_newsletter_shortcode = get_theme_mod('peccular_newsletter_shortcode', '[Add Form shortcode]');
				?>				
				<div class="peccular-newsletter-member-wrap">									
					<?php echo do_shortcode($peccular_newsletter_shortcode);?>
				</div>
			</div>
		</div>
		<div class="clearfix"></div>
		</div>
	
</div>	
<?php } ?>

	
	<?php if(is_active_sidebar('peccular-footer1') || is_active_sidebar('peccular-footer2') || is_active_sidebar('peccular-footer3') || is_active_sidebar('peccular-footer4') ){ ?>
		
		<div class="top-area">
			<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	
			<div class="row row-eq-height md-1">
				
				<div class="s-footer col-lg-4 col-md-4 col-sm-12 col-xs-12 single-footer-1 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="1s" >
						<?php if(is_active_sidebar('peccular-footer1')): 
							dynamic_sidebar('peccular-footer1');
						endif;
						?>	
					</div>
				</div>

			
				<div class="s-footer col-lg-2 col-md-2 col-sm-2 col-xs-12 single-footer-2 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="1.5s" >
						<?php if(is_active_sidebar('peccular-footer2')): 
							dynamic_sidebar('peccular-footer2');
						endif;
						?>	
						</div>
				</div>			
			
				<div class="s-footer col-lg-3 col-md-3 col-sm-3 col-xs-12 single-footer-3 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn"  data-wow-duration="2s" >
						<?php if(is_active_sidebar('peccular-footer3')): 
							dynamic_sidebar('peccular-footer3');
						endif;
						?>	
					</div>
				</div>

				<div class="s-footer col-lg-3 col-md-3 col-sm-3 col-xs-12 single-footer-4 <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_box_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_box_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_box_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<div class="single-footer wow zoomIn" data-wow-duration="2.5s" >
						<?php if(is_active_sidebar('peccular-footer4')): 
							dynamic_sidebar('peccular-footer4');
						endif;
						?>	
					</div>
				</div>				
			
							
			<div class="clearfix"></div>
		</div>
	</div>
		<div class="clearfix"></div>
		</div>
	<?php } ?>
</div><!-- container -->
	<div class="clearfix"></div>
				<?php 
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>
		<div class="bottom-area wow zoomIn">
			<div class="<?php if(get_theme_mod('peccular_footer_section_width','Box Width') == 'Box Width'){ ?>container <?php } elseif(get_theme_mod('peccular_footer_section_width','Box Width') == 'Full Width'){ ?> container-fluid <?php }?>">	
			
		<div class="row md-0">		
		<div class="col-lg-6 col-md-6 col-sm-12 col-xs-12 socials">
			<?php
			$facebook = get_theme_mod('peccular_footer_fb', '//facebook.com/');
			$twitter = get_theme_mod('peccular_footer_tw', '//twitter.com/');	
			$instagram = get_theme_mod('peccular_footer_instagram', '//instagram.com/');	
			$pinterest = get_theme_mod('peccular_footer_pinterest', 'https://www.pinterest.com');
			?>

			<?php if(!empty($facebook)){ ?>
			<a href="<?php echo $facebook ?>" title="Facebook" target="_blank"><i class="fa fa-facebook"></i></a>
			<?php }?>

			<?php if(!empty($twitter)){ ?>
			<a href="<?php echo $twitter ?>" title="Twitter" target="_blank"><i class="fa fa-twitter"></i></a>
			<?php }?>
			
			<?php if(!empty($pinterest)){ ?>
			<a href="<?php echo $pinterest ?>" title="Pinterest" target="_blank"><i class="fa fa-pinterest"></i></a>
			<?php }?>
		
			<?php if(!empty($instagram)){ ?>
			<a href="<?php echo $instagram ?>" title="Instagram" target="_blank"><i class="fa fa-instagram"></i></a>
			<?php }?>
			
		</div><!-- col 6 social icon-->

			
			<div class="col-lg-6 col-md-6 col-sm-6 col-xs-12">
				<div class="footer-text  <?php echo esc_attr(get_theme_mod('peccular_footer_onload_effects','wow zoomIn')); ?>" data-wow-duration="2s" style="text-align : <?php if(get_theme_mod('peccular_footer_copyright_align','Center') == 'Center'){ ?> center <?php } elseif(get_theme_mod('peccular_footer_copyright_align','Left') == 'Left'){ ?> left <?php } elseif(get_theme_mod('peccular_footer_copyright_align','Right') == 'Right'){ ?> right <?php } ?> ">
					<?php if($footercopyright){ ?>
						<?php echo $footercopyright;?>
					<?php } ?>
				</div>
			</div>
		</div><!-- row-->

			</div>
	</div>
	

</footer><!-- #colophon -->
<!-- <script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script> -->
<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script>
 <script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lightgallery.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-autoplay.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-fullscreen.js" type="text/javascript"  ></script>
<script src="<?php echo get_template_directory_uri(); ?>/js/gallery/lg-thumbnail.js" type="text/javascript"  ></script>
    <script type="text/javascript">
        lightGallery(document.getElementById('products-austrak'), {
            subHtmlSelectorRelative: true,
            thumbnail:true
        });
        lightGallery(document.getElementById('products-sherings'), {
            subHtmlSelectorRelative: true
        }); 
        lightGallery(document.getElementById('products-austmark'), {
            subHtmlSelectorRelative: true
        }); 
    </script>   


<?php wp_footer(); ?>
   <?php
    if(get_theme_mod('back_top_btn_on_off') != 'on' ){
  ?>
<a id="back2Top" title="Back to top" href="#"> &#10148; </a>
 <?php } ?> 
</body>
</html>