<?php 
//Bottom Header
    $wp_customize->add_section( 'peccular_footer_setting' , array(
        'title'    => __( 'Footer Setting', 'peccular-premium' ),
        'priority' => null,
        'panel' => 'peccular_header_panel1'
    ) );

$wp_customize->add_setting('peccular_footer_reset_settings',array(
  'sanitize_callback'   => 'sanitize_text_field'
));
$wp_customize->add_control(new peccular_Reset_Custom_Control($wp_customize, 'peccular_footer_reset_settings',array(
  'type' => 'reset_control',
   'priority' => 1,
  'label' => __('Reset Footer Settings', 'peccular'),
  'description' => 'peccular_footer_reset_settings',
  'section' => 'peccular_footer_setting'
)));


   $wp_customize->add_setting('peccular_footer_nav', array(
       'sanitize_callback' => 'wp_kses_post',
    ));

    $wp_customize->add_control(new peccular_Tab_Control($wp_customize, 'peccular_footer_nav', array(
       'section' => 'peccular_footer_setting',
       'priority' => 1,
       'buttons' => array(
          array(
             'name' => esc_html__('General', 'peccular-premium'),
            'icon' => 'dashicons dashicons-welcome-write-blog',
            'fields' => array(
                'peccular_footer_copyrighttext',
                'peccular_footer_shipicon',
                'peccular_footer_shiptitle',
                'peccular_footer_shiptext',
                'peccular_footer_gifticon',
                'peccular_footer_gifttitle',
                'peccular_footer_gifttext',
                'peccular_footer_clockicon',
                'peccular_footer_clocktitle',
                'peccular_footer_clocktext',
                'peccular_footer_moneyicon',
                'peccular_footer_moneytitle',
                'peccular_footer_moneytext',
                'peccular_newsletter_enable', 
                'peccular_newsletter_maintitle',
                'peccular_newsletter_shortcode',
                'peccular_footer_fb',
                'peccular_footer_tw', 
                'peccular_footer_instagram',
                'peccular_footer_pinterest',
                                
            ),
            'active' => true,
         ),
          array(
            'name' => esc_html__('Style', 'peccular-premium'),
            'icon' => 'dashicons dashicons-art',
            'fields' => array(                      
                'peccular_footer_section_bg_color',
                'peccular_footer_section_bg_image',
                'peccular_footer_image_opacity',
                'peccular_footer_box_align', 
                'peccular_footer_copyright_align',   
                'peccular_footer_onload_effects',  
                'peccular_footer_heading_color',
                'peccular_footer_text_color',
                'peccular_footer_icon_color',
                'peccular_footer_sicon_color',
                'peccular_footer_siconhover_color',                             
                'peccular_footer_menu_color',
                'peccular_footer_menuhover_color',
                'peccular_footer_activemenu_color',             
                'peccular_footer_bttmtext_color',
                'peccular_footer_siconbghv_color',               
                'peccular_footer_menuicon_color',                             
                'peccular_contact_btnhovtext_color',     
                'peccular_newsletter_title_color',
                'peccular_newsletter_formbrdr_color',
                'peccular_newsletter_radiotext_color',
                'peccular_newsletter_radioicon_color',
                'peccular_newsletter_frombtntxt_color',
                'peccular_newsletter_frombtnbg_color',
                'peccular_newsletter_frombtnhovtext_color',
                'peccular_newsletter_formtxt_color',
                'peccular_footer_fotrbtmbg_color',
                'peccular_footer_fotrbtmtxt_color',
                'peccular_newsletter_boxbttmbrdr_color',
                'peccular_footer_siconbg_color',
              
              
            ),
         ),
          array(
            'name' => esc_html__('Layout', 'peccular-premium'),
            'icon' => 'dashicons dashicons-layout',
            'fields' => array(
                'peccular_footer_padding',
                'peccular_footer_section_top_padding',
                'peccular_footer_section_bottom_padding',                                   
                'peccular_footer_section_width'
            ),
         )
        ),
    )));

//newsletter

$wp_customize->add_setting( 'peccular_newsletter_enable',array(
    'default' => true,
    'sanitize_callback' => 'peccular_switch_sanitization'
) );
$wp_customize->add_control( new peccular_Toggle_Switch_Custom_Control( $wp_customize, 'peccular_newsletter_enable',array(
    'label' => __( 'Disable Section','peccular' ),
    'section' => 'peccular_footer_setting'
)));

$wp_customize->add_setting(
    'peccular_newsletter_maintitle',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'KEEP YOUR INBOX SPOOKY! SIGN UP NOW!', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_newsletter_maintitle',
    array(
        'settings'      => 'peccular_newsletter_maintitle',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Section Heading', 'peccular' )
    )
);

$wp_customize->add_setting(
    'peccular_newsletter_shortcode',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Add your form shortcode on customiser', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_newsletter_shortcode',
    array(
        'settings'      => 'peccular_newsletter_shortcode',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'textarea',
        'label'         => __( 'Form Shortcode ', 'peccular' )
    )
);

 // end newsletter   

//copyright

$wp_customize->add_setting(
    'peccular_footer_copyrighttext',
    array(
        'sanitize_callback' => 'peccular_sanitize_text',
        'default'           => __( 'Copyright @ 2023 Halloween All Right Reserved', 'peccular' )
    )
);
$wp_customize->add_control(
    'peccular_footer_copyrighttext',
    array(
        'settings'      => 'peccular_footer_copyrighttext',
        'section'       => 'peccular_footer_setting', 
        'type'          => 'text',
        'label'         => __( 'Copyright', 'peccular' ),
         'input_attrs' => array(
            'readonly' => 'readonly',
        ),
    )
);  

// FACEBOOK 
$wp_customize->add_setting('peccular_footer_fb', array('default'=> 'https://facebook.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_footer_fb',
    array(
        'settings'      => 'peccular_footer_fb',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Facebook Url', 'peccular-premium' )
    )
);
// TWITTER
$wp_customize->add_setting('peccular_footer_tw', array('default'=> 'https://twitter.com', 'sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_footer_tw',
    array(
        'settings'      => 'peccular_footer_tw',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Twitter Url', 'peccular-premium' )
    )
);
// Instagram IN
$wp_customize->add_setting('peccular_footer_instagram',array('default'=> 'https://instagram.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_footer_instagram',
    array(
        'settings'      => 'peccular_footer_instagram',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Instagram Url', 'peccular-premium' )
    )
);
// Pinterest
$wp_customize->add_setting('peccular_footer_pinterest',array('default'=> 'https://pinterest.com','sanitize_callback' => 'esc_url_raw'));
$wp_customize->add_control('peccular_footer_pinterest',
    array(
        'settings'      => 'peccular_footer_pinterest',
        'section'       => 'peccular_footer_setting',
        'type'          => 'url',
        'label'         => __( 'Pinterest Url', 'peccular-premium' )
    )
);


    $wp_customize->add_setting( 'peccular_footer_section_bg_color', array(
       'default' => '',
       'sanitize_callback' => 'sanitize_hex_color'
    ));
    $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'peccular_footer_section_bg_color', array(
        'label' => __('Background Color','peccular'),
       'section' => 'peccular_footer_setting',
    )));

    $wp_customize->add_setting( 'peccular_footer_section_bg_image', array(
       'default' => '',
       'sanitize_callback' => 'esc_url_raw'
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'peccular_footer_section_bg_image', array(
        'label' => __('Section Background Image','peccular'),
       'section' => 'peccular_footer_setting',
    )));

     $wp_customize->add_setting('peccular_footer_image_opacity',array(
        'default' => 0.3,
        'sanitize_callback' => 'peccular_sanitize_float'
    ));
    $wp_customize->add_control(new peccular_Custom_Control( $wp_customize, 'peccular_footer_image_opacity',array(
    'label' => __('Background Opacity','peccular'),
    'section' => 'peccular_footer_setting',
    'input_attrs' => array(
            'min' => 0,
            'max' => 1,
            'step' => 0.1,
        ),
    )));

    $wp_customize->add_setting('peccular_footer_onload_effects',array(
        'default' => 'zoom-in',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_onload_effects',array(
        'type' => 'select',
        'label' => __('Section Onload Transition Effects','peccular'),
        'choices' => array (
            'wow bounceInLeft' => __('Bounce In Left','peccular'),
            'wow bounceInRight' => __('Bounce In Right','peccular'),
            'wow bounceInUp' => __('Bounce In Up','peccular'),
            'wow bounceInDown' => __('Bounce In Down','peccular'),
            'wow zoomIn' => __('Zoom In','peccular'),
            'wow zoomOut' => __('Zoom Out','peccular'),
            'wow fadeInDown' => __('Fade In Down','peccular'),            
            'wow fadeInUp' => __('Fade In Up','peccular'),
            'wow fadeInLeft' => __('Fade In Left','peccular'),
            'wow fadeInRight' => __('Fade In Right','peccular'),
            'flip-up' => __('Flip Up','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));

    $wp_customize->add_setting('peccular_footer_box_align',array(
        'default' => 'Left',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_box_align',array(
        'type' => 'select',
        'label' => __('Content Box Alignment','peccular'),
        'choices' => array (
            'Center' => __('Center','peccular'),
            'Left' => __('Left','peccular'),
            'Right' => __('Right','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));


addColorPalatOption($wp_customize, 'peccular_newsletter_title_color', 'peccular_footer_setting', 'Newsletter Title Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_formbrdr_color', 'peccular_footer_setting', 'Newsletter Form Border Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_formtxt_color', 'peccular_footer_setting', 'Newsletter Form Text Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_radiotext_color', 'peccular_footer_setting', 'Newsletter Radio Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_radioicon_color', 'peccular_footer_setting', 'Newsletter Radio Buttton Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_frombtntxt_color', 'peccular_footer_setting', 'Newsletter Button Text Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_frombtnbg_color', 'peccular_footer_setting', 'Newsletter Button BG Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_frombtnhovtext_color', 'peccular_footer_setting', 'Newsletter Button Hover Text Color', '');
addColorPalatOption($wp_customize, 'peccular_newsletter_boxbttmbrdr_color', 'peccular_footer_setting', 'Newsletter Box Bottom Border Color', '');


addColorPalatOption($wp_customize, 'peccular_footer_heading_color', 'peccular_footer_setting', 'Heading Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_text_color', 'peccular_footer_setting', 'Text Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_sicon_color', 'peccular_footer_setting', 'Social Icon Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconbg_color', 'peccular_footer_setting', 'Social Icon BG Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_siconhover_color', 'peccular_footer_setting', 'Social Icon Hover Color', '');
addColorPalatOption($wp_customize, 'peccular_footer_menuicon_color', 'peccular_footer_setting', 'Menu Icon color', '');
addColorPalatOption($wp_customize, 'peccular_footer_menu_color', 'peccular_footer_setting', 'Menu Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_activemenu_color', 'peccular_footer_setting', 'Menu Hover & Active Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_fotrbtmbg_color', 'peccular_footer_setting', 'Footer Bottom BG Color ', '');
addColorPalatOption($wp_customize, 'peccular_footer_fotrbtmtxt_color', 'peccular_footer_setting', 'Footer Bottom Text Color ', '');


    $wp_customize->add_setting('peccular_footer_padding',array(
      'sanitize_callback'   => 'esc_html'
   ));
   $wp_customize->add_control('peccular_footer_padding',array(
      'label' => __('Top Footer Padding','peccular'),
      'section' => 'peccular_footer_setting'
   ));

    $wp_customize->add_setting('peccular_footer_section_top_padding',array(
        'default' => '5',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_top_padding',array(
    'type' => 'number',
    'label' => __('Top','peccular'),
    'section' => 'peccular_footer_setting',
    ));
     $wp_customize->add_setting('peccular_footer_section_bottom_padding',array(
        'default' => '0',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('peccular_footer_section_bottom_padding',array(
    'type' => 'number',
    'label' => __('Bottom','peccular'),
    'section' => 'peccular_footer_setting',
    ));


    $wp_customize->add_setting('peccular_footer_section_width',array(
        'default' => 'Box Width',
        'sanitize_callback' => 'peccular_sanitize_choices',
    ));
    $wp_customize->add_control('peccular_footer_section_width',array(
        'type' => 'select',
        'label' => __('Section Width','peccular'),
        'choices' => array (
            'Box Width' => __('Box Width','peccular'),
            'Full Width' => __('Full Width','peccular')
        ),
        'section' => 'peccular_footer_setting',
    ));
?>