<?php
/**
 *
 * @package Slider Premium
 */
?>
<?php $showContent = get_theme_mod('slider_section_show_content', 'on'); ?>
<div class="slider-area" id="slider">

    <div class="<?php if(get_theme_mod('peccular_slider_section_width','Full Width') == 'Full Width'){ ?>container-fluid pd-0 <?php } elseif(get_theme_mod('peccular_slider_section_width','Full Width') == 'Box Width'){ ?> container <?php }?>">

    <section class="hero-slider hero-style">
    <div class="swiper-container">
      <div class="swiper-wrapper">

        <?php
        $args = array( 'post_type' => 'slider', 'orderby'   => 'id', 'order' => 'DESC',);
        if(!empty($pageId)){
            $args['page_id'] = absint($pageId);

        }
        $text = '';
        $query = new WP_Query($args);
        if($query->have_posts()){
            while($query->have_posts()) : $query->the_post(); 

                 $slider1btntext = get_post_meta($post->ID, 'slider1btntext', false);
                 $test_slider1btntext = !empty($slider1btntext[0]) ? $slider1btntext[0] : '';                

            ?>
            <div class="swiper-slide">
                    <div class="slide-inner slide-bg-image">
                      
                       <div class="sliderimg">                        
                            <?php 
                            if(has_post_thumbnail()){
                                $total_slider_image = wp_get_attachment_image_src(get_post_thumbnail_id(),'full');  
                                echo '<img class="slide-mainimg" alt="'. esc_html(get_the_title()) .'" src="'.esc_url($total_slider_image[0]).'">';
                            }?>
                        </div>
           
                        <?php if($showContent == 'on'){?>
                            <div class="slider-inner-mainbox">                              
                            
                                <div class="slide-title animated fadeInDownBig">
                                    <h2><?php echo (get_the_title()); ?></h2>                                   
                                </div>
                                <div class="slide-text animated fadeInLeftBig"><p><?php echo (get_the_content()); ?></p></div>
                                <div class="clearfix"></div>  
                                
                            <?php
                                $sliderbtn1url = get_post_meta($post->ID, 'sliderbtn1url', false);
                                $slider1_btn_url = !empty($sliderbtn1url[0]) ? $sliderbtn1url[0] : '';                   
                            ?>
                          
                            <?php if ($slider1_btn_url) { ?>
                                <div class="slide-btns-1 animated fadeInDownBig"> 
                                    <a href="<?php echo $slider1_btn_url; ?>"><?php echo ($test_slider1btntext); ?></a>
                                </div> 
                            <?php } ?>                    
                            
                            </div>
                        <?php }?>
                        

                    </div>
                </div>

                    <?php
                endwhile;
            }else{ 
                for($i=0;$i<1;$i++){?>

                    <div class="swiper-slide">
                    <div class="slide-inner slide-bg-image">
                      
                        <div class="sliderimg">
                             <div class="hero-overlay"></div>
                            <?php echo '<img class="slide-mainimg" alt="Slider" src="'. esc_html(get_template_directory_uri()) .'/images/slider01.jpg">';?>
                        </div>
            
                    <?php if($showContent == 'on'){ ?>
                        <div class="slider-inner-mainbox">                               
                         
                            <div class="slide-title animated fadeInDownBig">
                                <h2>WHERE EVERY DAY IS HALLOWEEN</h2>                                    
                            </div>
                            <div class="slide-text animated fadeInLeftBig">
                                <p>Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt. sed do eiusmod tempor incididunt
                                </p>
                            </div>  
                                <div class="clearfix"></div>                      
                           
                            <div class="slide-btns-1 animated fadeInDownBig">
                                <a href="">Shop Now</a>
                            </div>                               
                          
                                 <div class="clearfix"></div>
                            
                        </div>
                <?php }?>
                    </div>
                </div>
                <?php }
            }?>
    </div>
        <div class="swiper-pagination"><i class="fa-solid fa-skull"></i></div>
      
</div>
</section>
        

    </div>
</div>